Subject: Bug in RFC3542 (Advanced API)

From: YOSHIFUJI Hideaki / 吉藤英明<[email-masked]>
Date: Mon, 27 Jun 2005 11:17:47 +0900 (JST)

Hello.

Erik, Tatuya, and folks:

In Page 47, Section 11.3 (Path MTU Discovery and UDP),
RFC 3542 (Advanced Sockets API for IPv6) says:

|   This cmsghdr will be passed to every socket that sets the
|   IPV6_RECVPATHMTU socket option, even if the socket is non-connected.
|   Note that this also means an application that sets the option may
|   receive an IPV6_MTU ancillary data item for each ICMP too big error
               ~~~~~~~~
|   the node receives, including such ICMP errors caused by other
|   applications on the node.  Thus, an application that wants to perform

I believe that IPV6_MTU should be IPV6_PATHMTU.

-- 
  __
 /// YOSHIFUJI Hideaki, Ph.D @ USAGI/WIDE Project
/. \ E-Mail: [email-masked]
\__/ GPG-FP: 9022 65EB 1ECF 3AD1 0BDF  80D8 4807 F894 E062 0EEA

--------------------------------------------------------------------
IETF IPv6 working group mailing list
[email-masked]
Administrative Requests: https://www1.ietf.org/mailman/listinfo/ipv6
--------------------------------------------------------------------

---

From: JINMEI Tatuya / 神明達哉<[email-masked]>
Date: Tue, 28 Jun 2005 05:00:19 +0900

>>>>> On Mon, 27 Jun 2005 11:17:47 +0900 (JST), 
>>>>> YOSHIFUJI Hideaki <[email-masked]> said:

> I believe that IPV6_MTU should be IPV6_PATHMTU.

You're right.  Thanks for reporting the error.

RFC editor, could you add this report to the RFC errata page?

Thanks,

					JINMEI, Tatuya
					Communication Platform Lab.
					Corporate R&D Center, Toshiba Corp.
					[email-masked]